:root {
    --bs-link-color: #FF9999;
    --bs-link-hover-color: red;
}

body {
    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace;
}

h3 {
    font-size: 1.5rem;
    margin-top: 1.5rem;
}

button:focus {
    outline: 0;
}

blockquote {
    margin-left: 25pt;
    margin-right: 25pt;
}

a {
    font-weight: bold;
    text-decoration: none;
}

table {
    border-collapse: collapse;
    font-size: 0.75rem;
}

tbody tr:nth-child(odd) {
  background-color: #333333;
}

tbody tr:nth-child(even) {
  background-color: unset
}

th {
    text-align: center;
}

th,
td {
  padding: 0 0.5rem;
}

li {
    margin-left: 25pt;
    margin-right: 25pt;
}

.main-container {
    display: flex;
    background-image: url(/assets/bg-img.jpg);
    background-size: cover;
    padding: 8px;
    height: 100%;
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.top-bar {
    align-self: stretch;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    position: relative;

    padding-left: 8px;
    padding-right: 8px;
}

.top-bar-buttons {
    position: absolute;
    top: 0;
    right: 0;
}

.logo-div {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 16px;
    margin-top: 16px;
}

.powered-div {
    width: 30%;
}

.sentient-logo {
    width: 100%;
}

.text-div {
    display: flex;
    flex-direction: column;
    flex: 1;
    margin-top: 16px;
    margin-bottom: 16px;
    width: 75%;
    overflow-x: hidden;
    overflow-y: auto
}

.logo-image {
    width: 100%;
}

.beta-card {
    border-radius: 9999px;
    background-color: #3399FF;
    color: white;
    display: none;
    text-align: center;
    padding: 10px;
    position: absolute;
    right: -50px;
    top: 50%;
    width: 100px;
}

.about-button, .login-button, .feedback-button, .invite-button {
    margin-left: 0.5rem;
    background-color: #18181B;
    color: white;
    border-radius: 16px;
    border: 2px solid #464648;
}


.feedback-button:disabled, .invite-button:disabled {
    display: none;
}

.response-text {
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    background-color: #18181B;
    border: 2px solid #464648;
    border-radius: 16px;
    color: white;
    font-size: 1rem;
    line-height: 1.5rem;
    overflow-x: hidden;
    overflow-y: auto;
}

.response-markdown {
    padding: 16px;
    max-width: 100%;
    overflow-x: auto;
    width: 100%
}

.input-box {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    background-color: #3A3A3A;
    border-radius: 16px;
    border: 2px solid #464648;
    color: white;
    font-size: 15pt;
    margin-top: 8px;
    padding: 16px;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 50px #3A3A3A inset !important;
    -webkit-text-fill-color: white !important;
}

.input-text {
    background-color: inherit;
    border-style: none;
    color: white;
    flex-grow: 1;
}

.go-button {
    height: 32px;
    left: 0;
    top: 0;
    width: 32px;
}

.go-container:disabled, .go-container:active {
    background-color: #3A3A3A;
    border: none;
}

.go-container:hover {
    background-color: #3A3A3A;
    border: none;
}

.go-container:focus {
    outline: 0;
}

.go-container {
    height: 32px;
    padding: 0;
    width: 32px;
    outline: 0;
    background-color: #3A3A3A;
    border: none;
}

.powered-text {
    color: white;
    font-size: 8pt;
    font-family: Montserrat;
    text-align: center;
}

.card-holder {
    width: 25%;
}

.card-text {
    font-size: 0.75rem;
    margin: 0;
}

.card-small {
    font-size: 0.65rem;
    margin: 0;
}

.card-title {
    font-size: 1.25rem;
}

.login-text {
    align-items: center;
    background-color: #3A3A3A;
    padding: 10px;
    font-size: 20pt;
    color: white;
    border-radius: 16px;
    border: 2px solid #464648;
    text-decoration: none;
}

.login-text:hover {
    color: white;
    background-color: #3399FF;
}

.card-title-example {
    padding: 8px;
    font-size: 1.1rem;
    text-align: center;
}

.example-button {
    width: 100%;
    text-align: center;
    margin: auto;
    font-size: 0.9rem;
    background-color: #18181B;
    color: white;
    border-radius: 16px;
    border: 2px solid #464648;
}

.button-row {
    width: 95%;
    justify-content: center;
    margin: auto;
    margin-bottom: 5%;
}

.modal-footer {
    font-size: 8pt;
}

.tcs-message {
    font-size: 8pt;
}

.accordion {
    --bs-accordion-active-bg: unset;
    --bs-accordion-active-color: white;
    --bs-accordion-bg: unset;
    --bs-accordion-body-padding-x: 0;
    --bs-accordion-body-padding-y: 0;
    --bs-accordion-border-color: #464648;
    --bs-accordion-border-radius: 0;
    --bs-accordion-border-width: 2px;
    --bs-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23FFFFFF'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    --bs-accordion-btn-bg: unset;
    --bs-accordion-btn-color: white;
    --bs-accordion-btn-focus-box-shadow: 0px 2px 0px 0px #464648;
    --bs-accordion-btn-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23FFFFFF'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
/ / --bs-accordion-btn-padding-x: inherit;
/ / --bs-accordion-btn-padding-y: inherit;
    --bs-accordion-color: white;
    --bs-accordion-inner-border-radius: 0;
}

.accordion-button {
    font-weight: bold;
}

#response-accordion {
    border-right: 2px solid #464648;
    height: 100%;
    width: 75%;
}

.card {
    --bs-card-bg: #18181B;
    --bs-card-border-radius: 0px;
    border-bottom: 2px solid #464648;
}

.card-img {
    width: unset;
}


/* ---------- MOBILE LAYOUT  ---------- */

@media screen and (max-width: 700px) {

    .main-container {
        padding: 4px;
    }

    .text-div {
        margin: 8px;
        max-width: 100%;
        width: 100%;
    }

    .beta-card {
        width: 50px;
    }

    .input-box {
        font-size: 0.9rem;
    }

    .powered-text {
        display: none;
    }

    .login-text {
        font-size: 0.8rem;
    }

    .about-button, .login-button, .feedback-button, .invite-button {
        font-size: 0.5rem;
    }

    .response-text {
        display: flex;
        flex-direction: column;
        align-items: stretch;
        max-width: 100%;
        width: 100%;
    }

    blockquote {
        margin-left: 20px;
        margin-right: 15px;
    }

    .card-holder {
        max-width: 100%;
        width: 100%;
    }

    #response-accordion {
        border-bottom: 2px solid #464648;
        border-right: unset;
        height: unset;
        max-width: 100%;
        width: 100%;
    }

}
